/*
 * @Author: Devin
 * @Date: 2022-11-14 20:24:22
 * @LastEditors: Devin
 * @LastEditTime: 2022-11-14 20:59:01
 * @Description: ts工程开发
 */
import { createStore } from 'vuex';
import getters from './getters';
import mutations from './mutations';
import state from './state';

const store = createStore({
  state: () => {
    return {
      ...state
    };
  },
  getters: {
    ...getters
  },
  mutations: {
    ...mutations
  },
  modules: {}
});

export default store;
